import { createApp } from 'vue';
import pinia from '@/stores/index';
import App from './App.vue';
import router from './router';
import { directive } from '@/directive';
import other from '@/utils/other';
//  引入element
import ElementPlus from 'element-plus';
import 'element-plus/dist/index.css';
import '@/theme/index.scss';
// 空组件
import Empty from '@/components/Empty/index.vue';
// 表格组件
import ProTable from '@/components/ProTable/index.vue';
import { MotionPlugin } from '@vueuse/motion';

const app = createApp(App);

// 自定义指令和svg组件
directive(app);
other.elSvg(app);
// 全局组件挂载
app.component('Empty', Empty);
app.component('ProTable', ProTable);
app.use(pinia).use(router).use(ElementPlus).use(MotionPlugin).mount('#app');
